<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<STYLE type=text/css>
<!--
.blink {text-decoration:blink}
.ms  {font-size: 9pt; font-family: monospace; font-weight: normal}
.msb {font-size: 9pt; font-family: monospace; font-weight: bold  }
-->
</STYLE>
<META content="MSHTML 6.00.2900.2180" name=GENERATOR></HEAD>
<BODY><B>
</B>
<BR><PRE><A name="Report Header"></A>
--------------------------------------------------------------------------------
Lattice TRACE Report - Setup, Version Diamond (64-bit) 3.12.0.240.2
Wed Oct 11 01:02:12 2023

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.

Report Information
------------------
Design file:     GENDECAL
Device,speed:    LCMXO2-7000HE,5
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------



</A><A name="FREQUENCY NET 'CLK_c' 444.247000 MH"></A>================================================================================
Preference: FREQUENCY NET "CLK_c" 444.247000 MHz ;
            10 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed:  The following path meets requirements by 0.001ns
         The internal maximum frequency of the following component is 444.444 MHz

 Logical Details:  Cell type  Pin name       Component name

   Destination:    SLICE      CLK            <A href="#@comp:SLICE_3">SLICE_3</A>

   Delay:               2.250ns -- based on Minimum Pulse Width
<font color=#000000> 

Passed: The following path meets requirements by 0.342ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_11">QINT__i3</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_9">QINT__i16</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.759ns  (49.2% logic, 50.8% route), 2 logic levels.

 Constraint Details:

      1.759ns physical path delay SLICE_11 to SLICE_9 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 2.101ns) by 0.342ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4A.CLK,R4C4A.Q1,SLICE_11:ROUTE, 0.894,R4C4A.Q1,R4C3A.B0,QINT_2:CTOF_DEL, 0.454,R4C3A.B0,R4C3A.F0,SLICE_9:ROUTE, 0.000,R4C3A.F0,R4C3A.DI0,QINTSUIVANT_15">Data path</A> SLICE_11 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4A.CLK to       R4C4A.Q1 <A href="#@comp:SLICE_11">SLICE_11</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.894<A href="#@net:QINT_2:R4C4A.Q1:R4C3A.B0:0.894">       R4C4A.Q1 to R4C3A.B0      </A> <A href="#@net:QINT_2">QINT_2</A>
CTOF_DEL    ---     0.454       R4C3A.B0 to       R4C3A.F0 <A href="#@comp:SLICE_9">SLICE_9</A>
ROUTE         1     0.000<A href="#@net:QINTSUIVANT_15:R4C3A.F0:R4C3A.DI0:0.000">       R4C3A.F0 to R4C3A.DI0     </A> <A href="#@net:QINTSUIVANT_15">QINTSUIVANT_15</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.759   (49.2% logic, 50.8% route), 2 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:2.212">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:2.212">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.370ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_13">QINT__i1</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_9">QINT__i16</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.731ns  (50.0% logic, 50.0% route), 2 logic levels.

 Constraint Details:

      1.731ns physical path delay SLICE_13 to SLICE_9 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 2.101ns) by 0.370ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C3C.CLK,R4C3C.Q1,SLICE_13:ROUTE, 0.866,R4C3C.Q1,R4C3A.A0,SOUT_c_0:CTOF_DEL, 0.454,R4C3A.A0,R4C3A.F0,SLICE_9:ROUTE, 0.000,R4C3A.F0,R4C3A.DI0,QINTSUIVANT_15">Data path</A> SLICE_13 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C3C.CLK to       R4C3C.Q1 <A href="#@comp:SLICE_13">SLICE_13</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.866<A href="#@net:SOUT_c_0:R4C3C.Q1:R4C3A.A0:0.866">       R4C3C.Q1 to R4C3A.A0      </A> <A href="#@net:SOUT_c_0">SOUT_c_0</A>
CTOF_DEL    ---     0.454       R4C3A.A0 to       R4C3A.F0 <A href="#@comp:SLICE_9">SLICE_9</A>
ROUTE         1     0.000<A href="#@net:QINTSUIVANT_15:R4C3A.F0:R4C3A.DI0:0.000">       R4C3A.F0 to R4C3A.DI0     </A> <A href="#@net:QINTSUIVANT_15">QINTSUIVANT_15</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.731   (50.0% logic, 50.0% route), 2 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3C.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3C.CLK:2.212">       27.PADDI to R4C3C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:2.212">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.569ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_3">QINT__i2</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_9">QINT__i16</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.532ns  (56.5% logic, 43.5% route), 2 logic levels.

 Constraint Details:

      1.532ns physical path delay SLICE_3 to SLICE_9 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 2.101ns) by 0.569ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4C.CLK,R4C4C.Q1,SLICE_3:ROUTE, 0.667,R4C4C.Q1,R4C3A.C0,QINT_1:CTOF_DEL, 0.454,R4C3A.C0,R4C3A.F0,SLICE_9:ROUTE, 0.000,R4C3A.F0,R4C3A.DI0,QINTSUIVANT_15">Data path</A> SLICE_3 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4C.CLK to       R4C4C.Q1 <A href="#@comp:SLICE_3">SLICE_3</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.667<A href="#@net:QINT_1:R4C4C.Q1:R4C3A.C0:0.667">       R4C4C.Q1 to R4C3A.C0      </A> <A href="#@net:QINT_1">QINT_1</A>
CTOF_DEL    ---     0.454       R4C3A.C0 to       R4C3A.F0 <A href="#@comp:SLICE_9">SLICE_9</A>
ROUTE         1     0.000<A href="#@net:QINTSUIVANT_15:R4C3A.F0:R4C3A.DI0:0.000">       R4C3A.F0 to R4C3A.DI0     </A> <A href="#@net:QINTSUIVANT_15">QINTSUIVANT_15</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.532   (56.5% logic, 43.5% route), 2 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4C.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4C.CLK:2.212">       27.PADDI to R4C4C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:2.212">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.652ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_3">QINT__i2</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_13">QINT__i1</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.295ns  (31.7% logic, 68.3% route), 1 logic levels.

 Constraint Details:

      1.295ns physical path delay SLICE_3 to SLICE_13 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 0.652ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4C.CLK,R4C4C.Q1,SLICE_3:ROUTE, 0.884,R4C4C.Q1,R4C3C.M1,QINT_1">Data path</A> SLICE_3 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4C.CLK to       R4C4C.Q1 <A href="#@comp:SLICE_3">SLICE_3</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.884<A href="#@net:QINT_1:R4C4C.Q1:R4C3C.M1:0.884">       R4C4C.Q1 to R4C3C.M1      </A> <A href="#@net:QINT_1">QINT_1</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.295   (31.7% logic, 68.3% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4C.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4C.CLK:2.212">       27.PADDI to R4C4C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3C.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3C.CLK:2.212">       27.PADDI to R4C3C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.659ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_13">QINT__i10</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_5">QINT__i9</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.288ns  (31.9% logic, 68.1% route), 1 logic levels.

 Constraint Details:

      1.288ns physical path delay SLICE_13 to SLICE_5 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 0.659ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C3C.CLK,R4C3C.Q0,SLICE_13:ROUTE, 0.877,R4C3C.Q0,R4C4D.M0,QINT_9">Data path</A> SLICE_13 to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C3C.CLK to       R4C3C.Q0 <A href="#@comp:SLICE_13">SLICE_13</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.877<A href="#@net:QINT_9:R4C3C.Q0:R4C4D.M0:0.877">       R4C3C.Q0 to R4C4D.M0      </A> <A href="#@net:QINT_9">QINT_9</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.288   (31.9% logic, 68.1% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3C.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3C.CLK:2.212">       27.PADDI to R4C3C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4D.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4D.CLK:2.212">       27.PADDI to R4C4D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.663ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_5">QINT__i7</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_9">QINT__i16</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               1.438ns  (60.2% logic, 39.8% route), 2 logic levels.

 Constraint Details:

      1.438ns physical path delay SLICE_5 to SLICE_9 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 2.101ns) by 0.663ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4D.CLK,R4C4D.Q1,SLICE_5:ROUTE, 0.573,R4C4D.Q1,R4C3A.D0,QINT_6:CTOF_DEL, 0.454,R4C3A.D0,R4C3A.F0,SLICE_9:ROUTE, 0.000,R4C3A.F0,R4C3A.DI0,QINTSUIVANT_15">Data path</A> SLICE_5 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4D.CLK to       R4C4D.Q1 <A href="#@comp:SLICE_5">SLICE_5</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.573<A href="#@net:QINT_6:R4C4D.Q1:R4C3A.D0:0.573">       R4C4D.Q1 to R4C3A.D0      </A> <A href="#@net:QINT_6">QINT_6</A>
CTOF_DEL    ---     0.454       R4C3A.D0 to       R4C3A.F0 <A href="#@comp:SLICE_9">SLICE_9</A>
ROUTE         1     0.000<A href="#@net:QINTSUIVANT_15:R4C3A.F0:R4C3A.DI0:0.000">       R4C3A.F0 to R4C3A.DI0     </A> <A href="#@net:QINTSUIVANT_15">QINTSUIVANT_15</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    1.438   (60.2% logic, 39.8% route), 2 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4D.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4D.CLK:2.212">       27.PADDI to R4C4D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:2.212">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 1.023ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_11">QINT__i3</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_3">QINT__i2</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.924ns  (44.5% logic, 55.5% route), 1 logic levels.

 Constraint Details:

      0.924ns physical path delay SLICE_11 to SLICE_3 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 1.023ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4A.CLK,R4C4A.Q1,SLICE_11:ROUTE, 0.513,R4C4A.Q1,R4C4C.M1,QINT_2">Data path</A> SLICE_11 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4A.CLK to       R4C4A.Q1 <A href="#@comp:SLICE_11">SLICE_11</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.513<A href="#@net:QINT_2:R4C4A.Q1:R4C4C.M1:0.513">       R4C4A.Q1 to R4C4C.M1      </A> <A href="#@net:QINT_2">QINT_2</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.924   (44.5% logic, 55.5% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:2.212">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4C.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4C.CLK:2.212">       27.PADDI to R4C4C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 1.023ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_5">QINT__i7</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_3">QINT__i6</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.924ns  (44.5% logic, 55.5% route), 1 logic levels.

 Constraint Details:

      0.924ns physical path delay SLICE_5 to SLICE_3 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 1.023ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4D.CLK,R4C4D.Q1,SLICE_5:ROUTE, 0.513,R4C4D.Q1,R4C4C.M0,QINT_6">Data path</A> SLICE_5 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4D.CLK to       R4C4D.Q1 <A href="#@comp:SLICE_5">SLICE_5</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         2     0.513<A href="#@net:QINT_6:R4C4D.Q1:R4C4C.M0:0.513">       R4C4D.Q1 to R4C4C.M0      </A> <A href="#@net:QINT_6">QINT_6</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.924   (44.5% logic, 55.5% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4D.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4D.CLK:2.212">       27.PADDI to R4C4D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4C.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4C.CLK:2.212">       27.PADDI to R4C4C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 1.030ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_11">QINT__i4</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_11">QINT__i3</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.917ns  (44.8% logic, 55.2% route), 1 logic levels.

 Constraint Details:

      0.917ns physical path delay SLICE_11 to SLICE_11 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 1.030ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C4A.CLK,R4C4A.Q0,SLICE_11:ROUTE, 0.506,R4C4A.Q0,R4C4A.M1,QINT_3">Data path</A> SLICE_11 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C4A.CLK to       R4C4A.Q0 <A href="#@comp:SLICE_11">SLICE_11</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.506<A href="#@net:QINT_3:R4C4A.Q0:R4C4A.M1:0.506">       R4C4A.Q0 to R4C4A.M1      </A> <A href="#@net:QINT_3">QINT_3</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.917   (44.8% logic, 55.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:2.212">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C4A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:2.212">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 1.030ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_9">QINT__i11</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_13">QINT__i10</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.917ns  (44.8% logic, 55.2% route), 1 logic levels.

 Constraint Details:

      0.917ns physical path delay SLICE_9 to SLICE_13 meets
      2.251ns delay constraint less
      0.000ns skew and
      0.304ns M_SET requirement (totaling 1.947ns) by 1.030ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.411,R4C3A.CLK,R4C3A.Q1,SLICE_9:ROUTE, 0.506,R4C3A.Q1,R4C3C.M0,QINT_10">Data path</A> SLICE_9 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411      R4C3A.CLK to       R4C3A.Q1 <A href="#@comp:SLICE_9">SLICE_9</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.506<A href="#@net:QINT_10:R4C3A.Q1:R4C3C.M0:0.506">       R4C3A.Q1 to R4C3C.M0      </A> <A href="#@net:QINT_10">QINT_10</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.917   (44.8% logic, 55.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:2.212">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 2.212,27.PADDI,R4C3C.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     2.212<A href="#@net:CLK_c:27.PADDI:R4C3C.CLK:2.212">       27.PADDI to R4C3C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    2.212   (0.0% logic, 100.0% route), 0 logic levels.

Report:  444.444MHz is the maximum frequency for this preference.

<A name="Report Summary"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference                              |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "CLK_c" 444.247000 MHz ;  |  444.247 MHz|  444.444 MHz|   0  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="Clock Domains Analysis"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 1 clocks:

Clock Domain: <A href="#@net:CLK_c">CLK_c</A>   Source: CLK.PAD   Loads: 8
   Covered under: FREQUENCY NET "CLK_c" 444.247000 MHz ;


Timing summary (Setup):
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 19 paths, 1 nets, and 29 connections (85.29% coverage)

